core::net::http::Client::Timings Struct Reference

Summarizes timing information about completed requests. More...

`#include <client.h>`

Collaboration diagram for core::net::http::Client::Timings:

## Classes

struct | Statistics

## Public Types

typedef std::chrono::duration< double > | Seconds

## Public Attributes

Statistics | name_look_up {}
Statistics | connect {}
Statistics | app_connect {}
Statistics | pre_transfer {}
Statistics | start_transfer {}
Statistics | total {}

## Detailed Description

Summarizes timing information about completed requests.

Definition at line 62 of file client.h.

## Member Typedef Documentation

## Seconds

typedef std::chrono::duration<double> core::net::http::Client::Timings::Seconds

Definition at line 64 of file client.h.

## Member Data Documentation

## app_connect

Statistics core::net::http::Client::Timings::app_connect {}

Time it took from the connect until the SSL/SSH connect/handshake to the remote host was completed.

Definition at line 87 of file client.h.

## connect

Statistics core::net::http::Client::Timings::connect {}

Time it took from the finished name lookup until the connect to the remote host (or proxy) was completed.

Definition at line 83 of file client.h.

## name_look_up

Statistics core::net::http::Client::Timings::name_look_up {}

Time it took from the start until the name resolving was completed.

Definition at line 79 of file client.h.

## pre_transfer

Statistics core::net::http::Client::Timings::pre_transfer {}

Time it took from app_connect until the file transfer is just about to begin.

Definition at line 89 of file client.h.

## start_transfer

Statistics core::net::http::Client::Timings::start_transfer {}

Time it took from pre-transfer until the first byte is received by libcurl.

Definition at line 91 of file client.h.

## total

Statistics core::net::http::Client::Timings::total {}

Time in total that the previous transfer took.

Definition at line 93 of file client.h.

The documentation for this struct was generated from the following file:

- client.h